Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.profiling.component
Class ProfilingGenerator

    java.lang.Object
      org.apache.cocoon.pipeline.component.AbstractPipelineComponent
          org.apache.cocoon.sax.AbstractSAXPipelineComponent
              org.apache.cocoon.sax.AbstractSAXProducer
                  org.apache.cocoon.sax.AbstractSAXGenerator
                      org.apache.cocoon.profiling.component.ProfilingGenerator

All Implemented Interfaces:
  CachingPipelineComponent, PipelineComponent, Producer, Starter, SAXPipelineComponent, SAXProducer

    public class ProfilingGenerator

extends AbstractSAXGenerator
implements CachingPipelineComponent

A cocoon pipeline component to generate an XML representation of a `ProfilingData`.

Constructor Summary
`ProfilingGenerator()`

Method Summary
`CacheKey` | `constructCacheKey()`
`void` | `execute()` Creates XML events for the given `ProfilingData`.
`void` | `setConfiguration(Map<String,? extends Object> configuration)` Pass component specific configuration parameters to the pipeline component in a generic way.
`void` | `setProfilingDataHolder(ProfilingDataHolder dataHolder)`
`void` | `setup(Map<String,Object> parameters)` The shared object map for this pipeline run.

Methods inherited from class org.apache.cocoon.sax.AbstractSAXProducer
`getSAXConsumer, setConsumer, setSAXConsumer, toString`

Methods inherited from class org.apache.cocoon.pipeline.component.AbstractPipelineComponent
`finish`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.pipeline.component.PipelineComponent
`finish`

Constructor Detail

### ProfilingGenerator

    public ProfilingGenerator()

Method Detail

### setup

    public void setup(Map<String,Object> parameters)

  The shared object map for this pipeline run.

  Specified by:
    `setup` in interface `PipelineComponent`
  Overrides:
    `setup` in class `AbstractPipelineComponent`
  Parameters:
    `parameters` - A `Map` of parameters that are available to all `PipelineComponent`s. This is a modifiable map that can be changed by this pipeline component.

### constructCacheKey

    public CacheKey constructCacheKey()

  Specified by:
    `constructCacheKey` in interface `CachingPipelineComponent`

### setConfiguration

    public void setConfiguration(Map<String,? extends Object> configuration)

  Pass component specific configuration parameters to the pipeline component in a generic way. This is useful in environments that automatically assemble pipelines with their components and can't use the components constructors or setters.

  Specified by:
    `setConfiguration` in interface `PipelineComponent`
  Overrides:
    `setConfiguration` in class `AbstractPipelineComponent`
  Parameters:
    `configuration` - The `Map` of configuration parameters.

### execute

    public void execute()

  Creates XML events for the given `ProfilingData`.

  Specified by:
    `execute` in interface `Starter`

### setProfilingDataHolder

    public void setProfilingDataHolder(ProfilingDataHolder dataHolder)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.